import request from '@/utils/request'

/* 预报废审核列表 */
export const getForecastWasteListApi = (data) => {
    return request.post('/material/scrap/getScrapApplyList', data)
}

/* 预报废审核页面 弹框数据查询 */
export const getDialogListApi = (data) => {
    return request.get('/material/scrap/getScrapAuditList', { params: data })
}

/* 预报废审核接口 */
export const auditingPreScrapApi = (data) => {
    return request.post('/material/scrap/forecastWasteAudit', data)
}

/* 预报废列表 */
export const getPreScrapListApi = (data) => {
    return request.get('/material/scrap/getScrapTaskList', { params: data })
}

/* 报废列表提交报废接口 */
export const submitScrapApi = (data) => {
    return request.post('/material/scrap/submitScrapTask', data)
}

/* 报废列表 */
export const getScrapListApi = (data) => {
    return request.post('/material/scrap/scrapTaskReviewList', data)
}

/* 报废审核接口 */
export const auditingScrapApi = (data) => {
    return request.post('/material/scrap/scrapTaskReview', data)
}

/* 处置列表接口 */
export const getDispositionListApi = (data) => {
    return request.post('/material/scrap/obtainDisposalList', data)
}
/* 处置发送接口 */
export const submitDispositionApi = (data) => {
    return request.post('/material/scrap/obtainDisposal', data)
}

